Description

Hallo,

Platform: win64, adtf-2.14.0, ADTF 3 Support Toolbox Version 1.0.0

Laut Doku sollte man im Session-File mit active_streaming_graph die aktive Konfiguration setzen können. (also quasi den -active

parameter des ADTF2 adtf_launcher). (Siehe Bild)

Funktioniert aber offenbar nicht, es wird lediglich die aktive Konfiguration im system.xml gestartet.

Anbei die demo Session aus der Support Toolbox, leicht modifiziert. Im adtf2Copy wurde lediglich eine neue leere Configuration 

TestConfig zum system.xml hinzugefügt und als active_configuration gesetzt.

Startet man das Batch-Skript runCopy.bat bzw.

adtf_control -launcher=adtf2 -url=http://localhost:8000 -l=adtf2Copy/adtf2.adtfsession -run

dann wird die TestConfig gestartet und nicht wie in adtf2Copy/adtf2.adtfsession spezifiziert:

<active_streaming_graph>Demo_ADTF_3_Communication</active_streaming_graph>

Best regards - Beste Grüße

Ursula Groh

Lösung:

Die Dokumentation ist an dieser Stelle fehlerhaft. Es muss der <active_ filter _graph> Parameter verwendet werden.

Produktticket wurde erstellt.

History

#1 - 2017-01-25 10:27 - hidden

- Project changed from Public Support to 7

- Topic set to ADTF3SupportTB::Doc

- Customer set to ELEKTROBIT

- Affected Products ADTF 2.14.0, ADTF 3 Support Toolbox 1.0.0 added

- Platform Windows 7 64bit added

@Andreas, bitte bearbeiten.

#2 - 2017-01-26 13:30 - hidden

Die Beschreibung ist etwas vage.

#3 - 2017-01-30 15:13 - hidden
- Description updated

- Status changed from New to In Progress

Das Verhalten lässt sich wie beschrieben reproduzieren.

@Martin kannst du bitte prüfen ob das Verhalten oder die Doku hier fehlerhaft ist?

#4 - 2017-01-31 16:10 - hidden

- Description updated

- Status changed from In Progress to To Be Closed

- Resolution set to Product Issue Opened

- Product Issue Numbers set to http://km-aev.in.audi.vwg/redmine/issues/37974

- Affected Products deleted (ADTF 2.14.0)

@Florian: kann geschlossen werden.

#5 - 2017-01-31 18:01 - hidden

- Project changed from 7 to Public Support

- Subject changed from ADTFS-46006 Bug in ADTF 3 Support Toolbox: Session tag <active_streaming_graph> hat keinen Effekt to ADTFS-46006

Session tag <active_streaming_graph> has no effect

- Status changed from To Be Closed to Closed

- Private changed from Yes to No

- Department set to Support

#6 - 2017-02-02 09:36 - hidden

noch zur Info: bei Jochen scheint es nur zuverlässig zu funktionieren, wenn er das in beide tags, also auch in <active_streaming_graph> einträgt.

Viele Grüße

Ulli

#8 - 2017-03-02 12:57 - hidden

- Support Level changed from 2nd Level to 3rd Level

Files

ADTFS-46006.zip 110 KB 2017-01-24 hidden
